# Create a brand

{% hint style="warning" %}
A successful request to this endpoint will mean you are charged a [brand registration](https://docs.bird.com/applications/channels/channels/supported-channels/sms/concepts/united-states-sms-registration/sms-10dlc/brand-registration) fee. If you later need to update or resubmit your brand there may be additional fees.
{% endhint %}

## Create brand at organization level

> Create a brand at organization-level. This means it will be available for all workspaces under this organization. A brand registration is mandatory due to compliance requirements.<br>

```json
{"openapi":"3.0.3","info":{"title":"Numbers","version":"v1"},"tags":[{"description":"TCR Brands","name":"number_brands"}],"servers":[{"url":"https://api.bird.com","description":"Production API"}],"security":[{"accessKey":[]}],"components":{"securitySchemes":{"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"BrandCreateOrganization":{"allOf":[{"$ref":"#/components/schemas/BrandCreateWorkspace"},{"type":"object","properties":{"workspaceIds":{"type":"array","description":"Workspace IDs that will have access to this brand. Required when organizationWide is false or not provided.","items":{"type":"string","format":"uuid"}},"organizationWide":{"type":"boolean","description":"If true, this brand is available to all workspaces in the organization, including newly created workspaces. When true, workspaceIds can be omitted or empty."}}}]},"BrandCreateWorkspace":{"type":"object","properties":{"entityType":{"$ref":"#/components/schemas/BrandEntityType"},"firstName":{"maxLength":100,"type":"string","description":"First or given name. Applicable to entity type."},"lastName":{"maxLength":100,"type":"string","description":"Last or Surname. Applicable to entity type."},"displayName":{"minLength":1,"maxLength":255,"type":"string","description":"Display or marketing name your brand."},"companyName":{"minLength":1,"maxLength":255,"type":"string","description":"Legal company name. This should match the legal company name used to register your EIN/Tax ID."},"ein":{"minLength":1,"maxLength":21,"type":"string","description":"Government assigned corporate tax ID. EIN is 9-digits in the U.S."},"einIssuingCountry":{"minLength":1,"maxLength":2,"type":"string","description":"The 2 letter ISO country of registration submitted with your EIN / Tax ID registration."},"phone":{"minLength":1,"maxLength":20,"type":"string","description":"Valid phone number in e.164 international format."},"street":{"minLength":1,"maxLength":100,"type":"string","description":"Street number and name."},"city":{"minLength":1,"maxLength":100,"type":"string","description":"City name"},"state":{"minLength":1,"maxLength":20,"type":"string","description":"State. Must be a 2 letter state code for US states."},"postalCode":{"minLength":1,"maxLength":10,"type":"string","description":"Postal code. Must be a 5 digit zip code for the United States."},"country":{"minLength":1,"maxLength":2,"type":"string","description":"ISO 2 character country code."},"email":{"minLength":1,"maxLength":100,"type":"string","description":"Valid email address of brand support contact."},"stockSymbol":{"maxLength":10,"type":"string","description":"Stock symbol. Required for entityType PUBLIC."},"stockExchange":{"$ref":"#/components/schemas/BrandStockExchange"},"website":{"minLength":1,"maxLength":255,"type":"string","description":"Brand website URL."},"vertical":{"maxLength":50,"type":"string","description":"Vertical or industry segment of the brand."},"altBusinessId":{"maxLength":50,"type":"string","description":"Alternate business identifier."},"altBusinessIdType":{"$ref":"#/components/schemas/BrandAltBusinessIdType"},"businessContactEmail":{"description":"Business contact email.","oneOf":[{"type":"string","format":"email"},{"type":"string","minLength":0,"maxLength":0}]}},"required":["country","displayName","email","entityType","phone","street","city","state","postalCode","companyName","ein","einIssuingCountry","website"]},"BrandEntityType":{"type":"string","description":"Legal entity type. It can't be updated when the brand is approved.","enum":["PRIVATE_PROFIT","PUBLIC_PROFIT","NON_PROFIT","GOVERNMENT",""]},"BrandStockExchange":{"type":"string","description":"Stock exchange. Required for entityType PUBLIC.","enum":["NONE","NASDAQ","NYSE","AMEX","AMX","ASX","B3","BME","BSE","FRA","ICEX","JPX","JSE","KRX","LON","NSE","OMX","SEHK","SGX","SSE","STO","SWX","SZSE","TSX","TWSE","VSE","OTHER",""]},"BrandAltBusinessIdType":{"type":"string","description":"Alternate business identifier type. Required if altBusinessId is provided.","enum":["NONE","DUNS","GIIN","LEI",""]},"OrganizationTCRBrand":{"type":"object","additionalProperties":false,"required":["country","displayName","email","entityType","phone","street","city","state","postalCode","companyName","ein","einIssuingCountry","website","workspaceIds","organizationWide"],"properties":{"id":{"type":"string","description":"The ID of the number.","format":"uuid"},"tcrBrandId":{"type":"string","description":"The Campaign Registry brand ID."},"organizationId":{"type":"string","format":"uuid"},"createdAt":{"type":"string","description":"Timestamp (UTC) when the brand was created.","format":"date-time"},"updatedAt":{"type":"string","description":"Timestamp (UTC) when the brand was last updated.","nullable":true,"format":"date-time"},"status":{"$ref":"#/components/schemas/BrandStatus"},"authPlusStatus":{"$ref":"#/components/schemas/BrandAuthPlusStatus"},"entityType":{"$ref":"#/components/schemas/BrandEntityType"},"firstName":{"maxLength":100,"type":"string","description":"First or given name. Applicable to entity type."},"lastName":{"maxLength":100,"type":"string","description":"Last or Surname. Applicable to entity type."},"displayName":{"maxLength":255,"type":"string","description":"Display or marketing name your brand."},"companyName":{"maxLength":255,"type":"string","description":"Legal company name. This should match the legal company name used to register your EIN/Tax ID."},"ein":{"maxLength":21,"type":"string","description":"Government assigned corporate tax ID. EIN is 9-digits in the U.S."},"einIssuingCountry":{"maxLength":2,"type":"string","description":"The 2 letter ISO country of registration submitted with your EIN / Tax ID registration."},"phone":{"maxLength":20,"type":"string","description":"Valid phone number in e.164 international format."},"street":{"maxLength":100,"type":"string","description":"Street number and name."},"city":{"maxLength":100,"type":"string","description":"City name"},"state":{"maxLength":20,"type":"string","description":"State. Must be a 2 letter state code for US states."},"postalCode":{"maxLength":10,"type":"string","description":"Postal code. Must be a 5 digit zip code for the United States."},"country":{"maxLength":2,"type":"string","description":"ISO 2 character country code."},"email":{"maxLength":100,"type":"string","description":"Valid email address of brand support contact."},"stockSymbol":{"maxLength":10,"type":"string","description":"Stock symbol."},"stockExchange":{"$ref":"#/components/schemas/BrandStockExchange"},"website":{"maxLength":255,"type":"string","description":"Brand website URL."},"vertical":{"maxLength":50,"type":"string","description":"Vertical or industry segment of the brand."},"altBusinessId":{"maxLength":50,"type":"string","description":"Alternate business identifier."},"altBusinessIdType":{"$ref":"#/components/schemas/BrandAltBusinessIdType"},"businessContactEmail":{"description":"Business contact email.","oneOf":[{"type":"string","format":"email"},{"type":"string","minLength":0,"maxLength":0}]},"businessContactEmailVerifiedDate":{"type":"string","description":"Timestamp (UTC) when the brand businessContactEmail was verified.","format":"date-time"},"rejection":{"type":"object","description":"Rejection details","required":["description"],"properties":{"description":{"type":"string","description":"Rejection description"},"code":{"type":"string","description":"Rejection code"}}},"workspaceIds":{"type":"array","items":{"type":"string","format":"uuid"}},"organizationWide":{"type":"boolean","description":"If true, this brand is available to all workspaces in the organization, including newly created workspaces."}}},"BrandStatus":{"type":"string","description":"Brand status","enum":["FAILED","PENDING","REJECTED","APPROVED","DELETED","DRAFT"]},"BrandAuthPlusStatus":{"type":"string","description":"Brand Auth+ status","enum":["NOT_APPLICABLE","NEEDS_CHARGE","NEEDS_TRIGGER","DONE"]},"error.validation":{"additionalProperties":false,"description":"A validation error returned from the API. The `details` map keys are JSON paths\npointing into the request body / parameters; values are arrays of human-readable\nmessages describing each problem with that path.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":{"items":{"type":"string"},"type":"array"},"description":"Per-field validation messages keyed by JSON path.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"ValidationError","type":"object"}},"responses":{"error.response.invalid_request":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.validation"}}},"description":"The request contains invalid parameters or body fields."}}},"paths":{"/organizations/{organizationId}/tcr-brands":{"post":{"operationId":"createOrganizationBrand","description":"Create a brand at organization-level. This means it will be available for all workspaces under this organization. A brand registration is mandatory due to compliance requirements.\n","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BrandCreateOrganization"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationTCRBrand"}}},"description":"Brand successfully created"},"422":{"$ref":"#/components/responses/error.response.invalid_request"}},"summary":"Create brand at organization level","tags":["number_brands"]}}}}
```

## BrandRequest object

<table><thead><tr><th width="195">Field</th><th>Type</th><th>Description</th><th>Mandatory</th></tr></thead><tbody><tr><td>entityType</td><td><a href="/pages/nnk2xAR5uyfw225eV5pA#entitytype">entityType</a></td><td>Legal entity type</td><td>Required</td></tr><tr><td>displayName</td><td>string</td><td>Display or marketing name your brand</td><td>Required for entityType PRIVATE/PUBLIC</td></tr><tr><td>companyName</td><td>string</td><td>Legal company name. This should match the legal company name used to register your EIN/Tax ID</td><td>Required</td></tr><tr><td>ein</td><td>string</td><td>Government assigned corporate tax ID. EIN is 9-digits in the U.S.</td><td>Required</td></tr><tr><td>einIssuingCountry</td><td>string</td><td>The 2 letter ISO country of registration submitted with your EIN / Tax ID registration</td><td>Required</td></tr><tr><td>phone</td><td>string</td><td>Valid phone number in e.164 international format.</td><td>Required</td></tr><tr><td>street</td><td>string</td><td>Street number and name</td><td>Required</td></tr><tr><td>city</td><td>string</td><td>City name</td><td>Required</td></tr><tr><td>state</td><td>string</td><td>State. Must be a 2 letter state code for US states</td><td>Required</td></tr><tr><td>postalCode</td><td>string</td><td>Postal code. Must be a 5 digit zip code for the United States</td><td>Required</td></tr><tr><td>country</td><td>string</td><td>ISO 2 character country code</td><td>Required</td></tr><tr><td>email</td><td>string</td><td>Valid email address of brand support contact</td><td>Required</td></tr><tr><td>stockSymbol</td><td><a href="/pages/nnk2xAR5uyfw225eV5pA#stocksymbol">stockSymbol</a></td><td>Stock symbol</td><td>Required for entityType PUBLIC</td></tr><tr><td>stockExchange</td><td><a href="/pages/nnk2xAR5uyfw225eV5pA#stockexchange">stockExchange</a></td><td>Stock exchange</td><td>Required for entityType PUBLIC</td></tr><tr><td>website</td><td>string</td><td>Brand website URL</td><td>Required</td></tr><tr><td>vertical</td><td><a href="/pages/nnk2xAR5uyfw225eV5pA#verticals">vertical</a></td><td>Vertical or industry segment of the brand</td><td>Required</td></tr><tr><td>altBusinessId</td><td>string</td><td>Alternate business identifer</td><td>Optional</td></tr><tr><td>altBusinessIdType</td><td><a href="/pages/nnk2xAR5uyfw225eV5pA#altbusinessidtype">altBusinessIdType</a></td><td>Alternate business identifier type</td><td>Required if altBusinessId is provided</td></tr><tr><td>workspaceIds</td><td>array&#x3C;UUID></td><td>An array of valid workspace IDs associated with organisation. Brand will be shared with workspace Ids listed</td><td>Required</td></tr></tbody></table>

## BrandResponse object

| Field             | Type                                                                                                | Description                                                                                                  |
| ----------------- | --------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------ |
| entityType        | [entityType](/api/numbers-api/api-reference/10dlc-compliance/tcr-enums.md#entitytype)               | Legal entity type                                                                                            |
| displayName       | string                                                                                              | Display or marketing name your brand                                                                         |
| companyName       | string                                                                                              | Legal company name. This should match the legal company name used to register your EIN/Tax ID                |
| ein               | string                                                                                              | Government assigned corporate tax ID. EIN is 9-digits in the U.S.                                            |
| einIssuingCountry | string                                                                                              | The 2 letter ISO country of registration submitted with your EIN / Tax ID registration                       |
| phone             | string                                                                                              | Valid phone number in e.164 international format.                                                            |
| street            | string                                                                                              | Street number and name                                                                                       |
| city              | string                                                                                              | City name                                                                                                    |
| state             | string                                                                                              | State. Must be a 2 letter state code for US states                                                           |
| postalCode        | string                                                                                              | Postal code. Must be a 5 digit zip code for the United States                                                |
| country           | string                                                                                              | ISO 2 character country code                                                                                 |
| email             | string                                                                                              | Valid email address of brand support contact                                                                 |
| stockSymbol       | [stockSymbol](/api/numbers-api/api-reference/10dlc-compliance/tcr-enums.md#stocksymbol)             | Stock symbol                                                                                                 |
| stockExchange     | [stockExchange](/api/numbers-api/api-reference/10dlc-compliance/tcr-enums.md#stockexchange)         | Stock exchange                                                                                               |
| website           | string                                                                                              | Brand website URL                                                                                            |
| vertical          | [vertical](/api/numbers-api/api-reference/10dlc-compliance/tcr-enums.md#verticals)                  | Vertical or industry segment of the brand                                                                    |
| altBusinessId     | string                                                                                              | Alternate business identifier                                                                                |
| altBusinessIdType | [altBusinessIdType](/api/numbers-api/api-reference/10dlc-compliance/tcr-enums.md#altbusinessidtype) | Alternate business identifier type                                                                           |
| brandId           | string                                                                                              | UUID of a brand                                                                                              |
| status            | [status](/api/numbers-api/api-reference/10dlc-compliance/tcr-enums.md#brandstatus)                  | Brand status                                                                                                 |
| workspaceIds      | array\<UUID>                                                                                        | An array of valid workspace IDs associated with organisation. Brand will be shared with workspace Ids listed |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/numbers-api/api-reference/10dlc-compliance/brands-organization/create-a-brand.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
